Skip to content

Reverses a transaction

Request

POST {{baseURL}}/v2/transactions/{{transactionId}}/reversal

This endpoint reverses, or refunds, a transaction.

Payment method (card vs ACH) is auto-detected.

See Also:
To list transactions, see GET /v2/transactions.
To retrieve a transaction by ID, see GET /v2/transactions/{transactionId}.
To create a new transaction, see POST /v2/transactions.
To capture a transaction, see POST /v2/transactions/{transactionId}/capture.
To create an unreferenced credit, see POST /v2/transactions/credit.

Security
Bearer
Path
transactionIdstring, (uuid)required

Specifies the transaction identifier to refund.

Example:d4e39f93-a128-45f4-9b27-140042a5efa5
Bodyapplication/json

Reversal options including optional Amount for a partial refund.

reversalAmountnumber or null, (double), decimal places <= 2

Specifies the amount (in USD) to refund.

If a value is provided, the refund is for partial card refunds only.
If null or omitted, the full transaction amount is refunded.

Do not use this value for void operations and ACH refunds.

Example: 50.24

Example:50.24
curl -i -X POST \
  https://sandbox.api.flute.com/v2/transactions/d4e39f93-a128-45f4-9b27-140042a5efa5/reversal \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "amount": 25
  }'

Responses

OK

Bodyapplication/json
itemsArray of objects or null
pageInfoobject

Indicates an object describing the pagination status.

If additional pages to review are needed, repeat the exact same search but include a new pageIndex value. Typically, this will increment the current pageIndex by one. However, any valid value may be used. Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.
Response
{ "transactionId": "e54f0127-fee5-47a2-8e06-b73fcf69fbe2", "transactionStatus": "Approved", "processedAmount": 25, "currencyCode": "USD", "processorResponse": { "processorName": "TSYS", "responseCode": "00", "responseMessage": "Approved", "responseDefinition": "Approved and completed" } }